<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>交底结论修改页面</title>
    <meta name="decorator" content="ani"/>
    <!-- SUMMERNOTE -->
    <%@include file="/webpage/include/summernote.jsp" %>
    <style type="text/css">
        input::-webkit-input-placeholder {
            color: red !important;
        }

        input::-moz-placeholder { /* Mozilla Firefox 19+ */
            color: red !important;
        }

        input:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
            color: red !important;
        }

        input:-ms-input-placeholder { /* Internet Explorer 10-11 */
            color: red !important;
        }
    </style>
    <script type="text/javascript">
        $(document).ready(function () {
            $('#beginDate').datetimepicker({
                format: "YYYY-MM-DD HH:mm:ss"
            });
            $('#endDate').datetimepicker({
                format: "YYYY-MM-DD HH:mm:ss"
            });
            $('select').change(function () {
                var hasImplemented = $('#hasImplemented').val();
                var isImplement = $('#isImplement').val();
                var whetherComplete = $('#whetherComplete').val();
                var whetherStandard = $('#whetherStandard').val();
                var whetherDrawing = $('#whetherDrawing').val();
                var whetherChannel = $('#whetherChannel').val();
                var civilAdjusted = $('#civilAdjusted').val();
                var electricalAdjusted = $('#electricalAdjusted').val();
                var doesChange = $('#doesChange').val();
                var otherAdjusted = $('#otherAdjusted').val();
                if (hasImplemented == '是') {
                    $('#sceneDescription').attr('placeholder', '现场情况描述不能为空');
                }else {
                    $('#sceneDescription').removeAttr('placeholder');
                }
                if (isImplement == '否') {
                    $('#noImplementation').attr('placeholder', '实施无必要描述不能为空');
                }else {
                    $('#noImplementation').removeAttr('placeholder');
                }
                if (whetherComplete == '否') {
                    $('#drawingDescription').attr('placeholder', '图纸完整性描述不能为空');
                }else {
                    $('#drawingDescription').removeAttr('placeholder');
                }
                if (whetherStandard == '否') {
                    $('#normativeDrawings').attr('placeholder', '图纸规范性描述不能为空');
                }else {
                    $('#normativeDrawings').removeAttr('placeholder');
                }
                if (whetherDrawing == '是') {
                    $('#problemDescription').attr('placeholder', '典设图问题描述不能为空');
                }else {
                    $('#problemDescription').removeAttr('placeholder');
                }
                if (whetherChannel == '是') {
                    $('#constructionDescription').attr('placeholder', '施工通道情况描述不能为空');
                }else {
                    $('#constructionDescription').removeAttr('placeholder');
                }
                if (civilAdjusted == '是') {
                    $('#descriptionPlans').attr('placeholder', '土建方案变更内容描述不能为空');
                    $('#descriptionAdjustment').attr('placeholder', '土建工作量调整内容描述不能为空');
                }else {
                    $('#descriptionPlans').removeAttr('placeholder');
                    $('#descriptionAdjustment').removeAttr('placeholder');
                }
                if (electricalAdjusted == '是') {
                    $('#adjustmentDescription').attr('placeholder', '调整原因描述不能为空');
                }else {
                    $('#adjustmentDescription').removeAttr('placeholder');
                }
                if (doesChange == '是') {
                    $('#automatedContent').attr('placeholder', '自动化方案调整内容不能为空');
                    $('#automatedAdjustment').attr('placeholder', '自动化工作内容调整不能为空');
                }else {
                    $('#automatedContent').removeAttr('placeholder');
                    $('#automatedAdjustment').removeAttr('placeholder');
                }
                if (otherAdjusted == '是') {
                    $('#descriptionReasons').attr('placeholder', '其他方案调整原因描述不能为空');
                }else {
                    $('#descriptionReasons').removeAttr('placeholder');
                }
            });
        });

        function save() {
            var b = check();
            if (!b) {
                jp.error("请正确填写信息");
                return false;
            }
            jp.loading();
            jp.post("${ctx}/managementcenter/activiti/editConSave", $("#inputForm").serialize(), function (data) {
                if (data.success) {
                    jp.getParent().refresh();
                    var dialogIndex = parent.layer.getFrameIndex(window.name); //获取窗口索引
                    parent.layer.close(dialogIndex);
                    jp.success(data.msg);
                } else {
                    jp.error(data.msg);
                }
            })
        }

        function getVal(groups) {
            var chk_value = [];//定义一个数组
            $('input[name="administrationTypeList"]:checked').each(function () {//遍历每一个名字为nodes的复选框，其中选中的执行函数
                chk_value.push($(this).val());//将选中的值添加到数组chk_value中
            });
            groups = chk_value.join(";");
            return groups
        }

        function check() {
            var flag = true;
            var hasImplemented = $('#hasImplemented').val();
            var sceneDescription = $('#sceneDescription').val();
            var isImplement = $('#isImplement').val();
            var noImplementation = $('#noImplementation').val();
            var whetherComplete = $('#whetherComplete').val();
            var drawingDescription = $('#drawingDescription').val();
            var whetherStandard = $('#whetherStandard').val();
            var normativeDrawings = $('#normativeDrawings').val();
            var whetherDrawing = $('#whetherDrawing').val();
            var problemDescription = $('#problemDescription').val();
            var whetherChannel = $('#whetherChannel').val();
            var constructionDescription = $('#constructionDescription').val();
            var civilAdjusted = $('#civilAdjusted').val();
            var descriptionPlans = $('#descriptionPlans').val();
            var descriptionAdjustment = $('#descriptionAdjustment').val();
            var electricalAdjusted = $('#electricalAdjusted').val();
            var adjustmentDescription = $('#adjustmentDescription').val();
            var doesChange = $('#doesChange').val();
            var automatedContent = $('#automatedContent').val();
            var automatedAdjustment = $('#automatedAdjustment').val();
            var otherAdjusted = $('#otherAdjusted').val();
            var descriptionReasons = $('#descriptionReasons').val();
            if (hasImplemented == '是') {
                if (sceneDescription == '') {
                    flag = false;
                }
            }
            if (isImplement == '否') {
                if (noImplementation == '') {
                    flag = false;
                }            }
            if (whetherComplete == '否') {
                if (drawingDescription == '') {
                    flag = false;
                }            }
            if (whetherStandard == '否') {
                if (normativeDrawings == '') {
                    flag = false;
                }            }
            if (whetherDrawing == '是') {
                if (problemDescription == '') {
                    flag = false;
                }            }
            if (whetherChannel == '是') {
                if (constructionDescription == '') {
                    flag = false;
                }            }
            if (civilAdjusted == '是') {
                if (descriptionPlans == '' || descriptionAdjustment == '' ) {
                    flag = false;
                }
            }
            if (electricalAdjusted == '是') {
                if (adjustmentDescription == '') {
                    flag = false;
                }            }
            if (doesChange == '是') {
                if (automatedContent == '' || automatedAdjustment == '') {
                    flag = false;
                }
            }
            if (otherAdjusted == '是') {
                if (descriptionReasons == '') {
                    flag = false;
                }
            }
            return flag;
        }
    </script>
</head>
<body>
<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-primary">
                <div class="panel-body">
                    <form:form id="inputForm" modelAttribute="construction" action="" method="post"
                               class="form-horizontal">
                        <form:hidden path="id"/>
                        <input id="procInsId" type="hidden" value="${fns:unescapeHtml(construction.procInsId)}">
                        <table class="table table-bordered">
                            <tbody>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">是否已实施：</label></td>
                                <td class="width-35">
                                    <form:select id="hasImplemented" path="disclose.hasImplemented"
                                                 cssClass="form-control">
                                        <form:option value="否"/>
                                        <form:option value="是"/>
                                    </form:select>
                                        <%--                                    <form:input path="disclose.hasImplemented" cssClass="form-control required"/>--%>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> 现场情况描述：</label></td>
                                <td class="width-35">
                                    <form:input id="sceneDescription" path="disclose.sceneDescription"
                                                cssClass="form-control required"/>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">是否有实施必要性：</label></td>
                                <td class="width-35">
                                    <form:select id="isImplement" path="disclose.isImplement" cssClass="form-control">
                                        <form:option value="是"/>
                                        <form:option value="否"/>
                                    </form:select>
                                        <%--                                    <form:input id="isImplement" path="disclose.isImplement" cssClass="form-control"/>--%>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> 实施无必要描述：</label></td>
                                <td class="width-35">
                                    <form:input id="noImplementation" path="disclose.noImplementation"
                                                cssClass="form-control"/>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">图纸是否完整：</label></td>
                                <td class="width-35">
                                    <form:select id="whetherComplete" path="disclose.whetherComplete"
                                                 cssClass="form-control">
                                        <form:option value="是"/>
                                        <form:option value="否"/>
                                    </form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> 图纸完整性描述：</label></td>
                                <td class="width-35">
                                    <form:input id="drawingDescription" path="disclose.drawingDescription"
                                                cssClass="form-control"/>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">图纸是否规范：</label></td>
                                <td class="width-35">
                                    <form:select id="whetherStandard" path="disclose.whetherStandard"
                                                 cssClass="form-control">
                                        <form:option value="是"/>
                                        <form:option value="否"/>
                                    </form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right"> 图纸规范性描述：</label></td>
                                <td class="width-35">
                                    <form:input id="normativeDrawings" path="disclose.normativeDrawings"
                                                cssClass="form-control"/>

                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">是否存在典设图问题：</label></td>
                                <td class="width-35">
                                    <form:select id="whetherDrawing" path="disclose.whetherDrawing"
                                                 cssClass="form-control">
                                        <form:option value="否"/>
                                        <form:option value="是"/>
                                    </form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right">典设图问题描述</label></td>
                                <td class="width-35">
                                    <form:input id="problemDescription" path="disclose.problemDescription"
                                                cssClass="form-control"/>

                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right"> 是否存在施工通道</label></td>
                                <td class="width-35">
                                    <form:select id="whetherChannel" path="disclose.whetherChannel"
                                                 cssClass="form-control">
                                        <form:option value="否"/>
                                        <form:option value="是"/>
                                    </form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right">施工通道情况描述：</label></td>
                                <td class="width-35">
                                    <form:input id="constructionDescription" path="disclose.constructionDescription"
                                                cssClass="form-control"/>

                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right"> 土建是否需要调整：</label></td>
                                <td class="width-35">
                                    <form:select id="civilAdjusted" path="disclose.civilAdjusted"
                                                 cssClass="form-control">
                                        <form:option value="否"/>
                                        <form:option value="是"/>
                                    </form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right">土建方案变更内容描述：</label></td>
                                <td class="width-35">
                                    <form:input id="descriptionPlans" path="disclose.descriptionPlans"
                                                cssClass="form-control"/>

                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right">土建工作量调整内容描述：</label></td>
                                <td class="width-35">
                                    <form:input id="descriptionAdjustment" path="disclose.descriptionAdjustment"
                                                cssClass="form-control"/>

                                </td>
                                <td class="width-15 active"><label class="pull-right">电气方案是否需要调整：</label></td>
                                <td class="width-35">
                                    <form:select id="electricalAdjusted" path="disclose.electricalAdjusted"
                                                 cssClass="form-control">
                                        <form:option value="否"/>
                                        <form:option value="是"/>
                                    </form:select>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right"> 调整原因描述：</label></td>
                                <td class="width-35">
                                    <form:input id="adjustmentDescription" path="disclose.adjustmentDescription"
                                                cssClass="form-control"/>

                                </td>
                                <td class="width-15 active"><label class="pull-right">自动化是否需要变更：</label></td>
                                <td class="width-35">
                                    <form:select id="doesChange" path="disclose.doesChange" cssClass="form-control">
                                        <form:option value="否"/>
                                        <form:option value="是"/>
                                    </form:select>
                                </td>
                            </tr>
                            <tr>
                                <td class="width-15 active"><label class="pull-right"> 自动化方案调整内容：</label></td>
                                <td class="width-35">
                                    <form:input id="automatedContent" path="disclose.automatedContent"
                                                cssClass="form-control"/>
                                </td>
                                <td class="width-15 active"><label class="pull-right">自动化工作内容调整：</label></td>
                                <td class="width-35">
                                    <form:input id="automatedAdjustment" path="disclose.automatedAdjustment"
                                                cssClass="form-control"/>
                                </td>
                            </tr>
                            <tr>

                                <td class="width-15 active"><label class="pull-right"> 其他方案是否需要调整：</label></td>
                                <td class="width-35">
                                    <form:select id="otherAdjusted" path="disclose.otherAdjusted"
                                                 cssClass="form-control">
                                        <form:option value="否"/>
                                        <form:option value="是"/>
                                    </form:select>
                                </td>
                                <td class="width-15 active"><label class="pull-right">其他方案调整原因描述：</label></td>
                                <td class="width-35">
                                    <form:input id="descriptionReasons" path="disclose.descriptionReasons"
                                                cssClass="form-control"/>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </form:form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
